Subject: Re: libtool strips fcilkplus and sanitizer flags

From: Vincent Lefevre <[email-masked]>
Date: Fri, 3 May 2019 15:55:53 +0200

Hi,

On 2014-06-10 22:10:41 +0200, Julian Taylor wrote:
> This is identical to libtools stripping of fopenmp and the fix is the
> same, add -fcilkplus to the whitelist.
> 
> Similar the new -fsanitizer= flags are stripped from LDFLAGS, they
> should probably be added too.

The -fsanitizer=* one was fixed in 2015, but there are still issues
due to the fact that -static-* options are not passed to the linker
(-static-libasan in my case).

I've posted a patch for both -fcilkplus and -static-* there:

  http://lists.gnu.org/archive/html/libtool-patches/2019-05/msg00000.html

For Debian users, it does not apply, and I've posted a specific
patch there:

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751161#14

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)